Page MenuHomePhabricator

[print] Article title hidden with mobile print styles
Closed, ResolvedPublic2 Estimated Story PointsBUG REPORT

Description

The main article title is hidden when printing from the mobile Wikipedia. This is due to print-specific CSS which hides the entire .header element, which contains the title of the article.

Developer notes

Instead of hiding .pre-content I suggest hiding .minervatab-container, .page-actions-menu, minervasubtitle
Explicit seems better here and I assume we want to show tag line if shown (wikidata description) as well as title.

Event Timeline

Jdrewniak created this task.Feb 3 2020, 9:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2020, 9:25 PM
Jdlrobson renamed this task from Article title hidden with mobile print styles to [print] Article title hidden with mobile print styles.Feb 4 2020, 7:43 AM
Jdlrobson assigned this task to ovasileva.
Jdlrobson moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.
ovasileva triaged this task as Medium priority.Feb 4 2020, 8:37 AM
Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptFeb 4 2020, 12:58 PM
ovasileva set the point value for this task to 2.Feb 5 2020, 6:27 PM

Change 572749 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Fix Minerva print mode to correctly show top of document

https://gerrit.wikimedia.org/r/572749

Jdlrobson reassigned this task from ovasileva to alexhollender.EditedFeb 17 2020, 10:24 PM
Jdlrobson removed alexhollender as the assignee of this task.
Jdlrobson added a subscriber: ovasileva.
Jdlrobson added a subscriber: alexhollender.
Jdlrobson added a subscriber: Jdlrobson.

Patch needs review from someone other than me. @alexhollender will probably want to check the change before the train but I don't think that needs to block merging/review.

ovasileva lowered the priority of this task from Medium to Low.Feb 18 2020, 11:23 AM
Before Jon's patchAfter

Don't think @alexhollender focus is needed here tbh.

Change 572749 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Fix Minerva print mode to correctly show top of document

https://gerrit.wikimedia.org/r/572749

ovasileva closed this task as Resolved.Feb 19 2020, 9:36 AM
ovasileva claimed this task.

Confirmed on the beta cluster. Resolving.